Index: LinuxBIOSv2-2976/src/config/linuxbios_ram.ld
===================================================================
--- LinuxBIOSv2-2976.orig/src/config/linuxbios_ram.ld
+++ LinuxBIOSv2-2976/src/config/linuxbios_ram.ld
@@ -63,6 +63,10 @@ SECTIONS
 
 		_erodata = .;
 	}	
+        /* ld segfaults if we give it --build-id and then discard this section */
+	.note.gnu.build-id : {
+		*(.note.gnu.build-id)
+	}
 	/*
 	 * After the code we place initialized data (typically initialized
 	 * global variables). This gets copied into ram by startup code.
